Package fr.gouv.vitam.batch.report.model.entry

# Class AuditObjectVersion

java.lang.Object
fr.gouv.vitam.batch.report.model.entry.AuditObjectVersion

public class AuditObjectVersion extends Object
AuditObjectVersion

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuditObjectVersion()`
  `AuditObjectVersion(String id, String opi, String qualifier, String version, String strategyId, List<ReportItemStatus> offerStatuses, ReportStatus status)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `List<ReportItemStatus>`
  `getOfferStatuses()`
  `String`
  `getOpi()`
  `String`
  `getQualifier()`
  `ReportStatus`
  `getStatus()`
  `String`
  `getStrategyId()`
  `String`
  `getVersion()`
  `void`
  `setId(String id)`
  `void`
  `setOfferStatuses(List<ReportItemStatus> offerStatuses)`
  `void`
  `setOpi(String opi)`
  `void`
  `setQualifier(String qualifier)`
  `void`
  `setStatus(ReportStatus status)`
  `void`
  `setStrategyId(String strategyId)`
  `void`
  `setVersion(String version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuditObjectVersion

    public AuditObjectVersion()

  - ### AuditObjectVersion

    public AuditObjectVersion(String id, String opi, String qualifier, String version, String strategyId, List<ReportItemStatus> offerStatuses, ReportStatus status)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getOpi

    public String getOpi()

  - ### setOpi

    public void setOpi(String opi)

  - ### getQualifier

    public String getQualifier()

  - ### setQualifier

    public void setQualifier(String qualifier)

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public void setVersion(String version)

  - ### getStrategyId

    public String getStrategyId()

  - ### setStrategyId

    public void setStrategyId(String strategyId)

  - ### getOfferStatuses

    public List<ReportItemStatus> getOfferStatuses()

  - ### setOfferStatuses

    public void setOfferStatuses(List<ReportItemStatus> offerStatuses)

  - ### getStatus

    public ReportStatus getStatus()

  - ### setStatus

    public void setStatus(ReportStatus status)